package com.fr.plugin.showtype;


import com.fr.decision.web.DirectoryComponent;
import com.fr.intelli.record.Focus;
import com.fr.intelli.record.Original;
import com.fr.schedule.extension.report.provider.impl.AbstractScheduleTaskShowTypeProvider;
import com.fr.schedule.feature.job.calculation.BaseCalculationJob;
import com.fr.web.struct.Atom;

/**
 * @Author Roger
 * @Date 2020/11/3 19:00
 * @Version 10.0
 */
public class NewPreviewScheduleType extends AbstractScheduleTaskShowTypeProvider {

    @Override
    public Atom attach() {
        return DirectoryComponent.KEY;
    }

    @Override
    public Atom client() {
        return NewPreviewComponent.KEY;
    }

    @Override
    public Class<? extends BaseCalculationJob> typeClass() {
        return ShowTypeTestJob.class;
    }

    @Override
    @Focus(id = "com.fr.plugin.showtype.v10", text = "Fine-Plugin_New_Preview_Type", source = Original.PLUGIN)
    public int typeValue() {
        return 5;
    }

    @Override
    public String typeActorName() {
        return "form_adaptive";
    }
}
